<?php
/**
 ------------------------------------------------------------------------
 SOLIDRES - Accommodation booking extension for Joomla
 ------------------------------------------------------------------------
 * @author    Solidres Team <contact@solidres.com>
 * @website   https://www.solidres.com
 * @copyright Copyright (C) 2013 Solidres. All Rights Reserved.
 * @license   GNU General Public License version 3, or later
 ------------------------------------------------------------------------
 */

defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Language\Text;

HTMLHelper::_('behavior.formvalidator');

SRHtml::_('jquery.editable');

$script =
	' Solidres.jQuery(function($) {
		$.fn.editable.defaults.mode = "inline";
		$.fn.editable.defaults.emptytext = "' . Text::_('SR_EMPTY') . '";
		$("#state").editable({
			url: Joomla.getOptions("system.paths").base + "/index.php?option=com_solidres&task=reservationbase.save&format=json",
			source: ' . json_encode($this->reservationStatusesList) . ',
		});

		$("#state").on("save", function(e, params) {
		    ' . ((SRPlugin::isEnabled('channelmanager')) ? 'showARIUpdateStatus(' . $this->assetId . ')' : '') . ';
		});

		$("#payment_status").editable({
			url: Joomla.getOptions("system.paths").base + "/index.php?option=com_solidres&task=reservationbase.save&format=json",
			source: ' . json_encode($this->paymentStatusesList) . '
		});

		$("#total_paid").editable({
			url: Joomla.getOptions("system.paths").base + "/index.php?option=com_solidres&task=reservationbase.save&format=json",
			display: function (value, response) {
				if (response) {
					if (response.success == true) {
						$(this).text(response.newValue);
						window.location.reload();
					}
				}
			}
		});
		$("#total_fee").editable({
			url: Joomla.getOptions("system.paths").base + "/index.php?option=com_solidres&task=reservationbase.save&format=json",
			display: function (value, response) {
				if (response) {
					if (response.success == true) {
						$(this).text(response.newValue);
						window.location.reload();
					}
				}
			}
		});
		$("#total_discount").editable({
			url: Joomla.getOptions("system.paths").base + "/index.php?option=com_solidres&task=reservationbase.save&format=json",
			display: function (value, response) {
				if (response) {
					if (response.success == true) {
						$(this).text(response.newValue);
						window.location.reload();
					}
				}
			}
		});
		$("#deposit_amount").editable({
			url: Joomla.getOptions("system.paths").base + "/index.php?option=com_solidres&task=reservationbase.save&format=json",
			display: function (value, response) {
				if (response) {
					if (response.success == true) {
						$(this).text(response.newValue);
						window.location.reload();
					}
				}
			}
		});
		$("#payment_method_txn_id").editable({
			url: Joomla.getOptions("system.paths").base + "/index.php?option=com_solidres&task=reservationbase.save&format=json",
			display: function (value, response) {
				if (response) {
					if (response.success == true) {
						$(this).text(response.newValue);
					}
				}
			}
		});
		$("#origin").editable({
			url: Joomla.getOptions("system.paths").base + "/index.php?option=com_solidres&task=reservationbase.save&format=json",
			source: ' . json_encode(array_values($this->originsList)) . ',
		});
	});';
JFactory::getDocument()->addScriptDeclaration($script);

$config             = JFactory::getConfig();
$timezone           = new DateTimeZone($config->get('offset'));
$id                 = $this->form->getValue('id');

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "reservationbase.cancel" || task == "reservationbase.amend")
		{
			Joomla.submitform(task, document.getElementById("item-form"));
		}
	}
');

?>

<div id="solidres">
    <div class="<?php echo SR_UI_GRID_CONTAINER ?>">
		<?php echo SolidresHelperSideNavigation::getSideNavigation($this->getName()); ?>
        <div id="sr_panel_right" class="sr_form_view <?php echo SR_UI_GRID_COL_10 ?>">

	        <?php echo HTMLHelper::_(SR_UITAB . '.startTabSet', 'sr-reservation', array('active' => 'general', 'recall' => true)) ?>

	        <?php echo HTMLHelper::_(SR_UITAB . '.addTab', 'sr-reservation', 'general', Text::_('SR_NEW_GENERAL_INFO', true)) ?>
	        <?php echo $this->loadTemplate('general') ?>
	        <?php echo $this->loadTemplate('customer') ?>

	        <?php
	        $paymentData = $this->form->getValue('payment_data');
	        if (!empty($paymentData) && $this->paymentMethodId == 'offline') :
		        $paymentData = json_decode($paymentData);
		        echo HTMLHelper::_(SR_UITAB . '.addTab', 'sr-reservation', 'customer-payment-info', Text::_('SR_CUSTOMER_PAYMENT_INFO', true));
		        echo $this->loadTemplate('customer_payment');
		        echo HTMLHelper::_(SR_UITAB . '.endTab');
	        endif;
	        ?>

	        <?php echo $this->loadTemplate('room') ?>

	        <?php echo HTMLHelper::_(SR_UITAB . '.endTab') ?>

	        <?php echo HTMLHelper::_(SR_UITAB . '.addTab', 'sr-reservation', 'invoice', Text::_('SR_INVOICE_INFO', true)) ?>
	        <?php echo $this->loadTemplate('invoice') ?>
	        <?php echo HTMLHelper::_(SR_UITAB . '.endTab') ?>

	        <?php echo HTMLHelper::_(SR_UITAB . '.addTab', 'sr-reservation', 'payment-history', Text::_('SR_PAYMENT_HISTORY', true)) ?>
	        <?php echo $this->loadTemplate('paymenthistory') ?>
	        <?php echo HTMLHelper::_(SR_UITAB . '.endTab') ?>

	        <?php echo HTMLHelper::_(SR_UITAB . '.addTab', 'sr-reservation', 'reservation-note', Text::_('SR_RESERVATION_NOTE_BACKEND', true)) ?>
	        <?php echo $this->loadTemplate('note') ?>
	        <?php echo HTMLHelper::_(SR_UITAB . '.endTab') ?>

	        <?php echo HTMLHelper::_(SR_UITAB . '.addTab', 'sr-reservation', 'commission-payout', Text::_('SR_COMMISSIONS', true)) ?>
	        <?php echo $this->loadTemplate('commission_payout') ?>
	        <?php echo HTMLHelper::_(SR_UITAB . '.endTab') ?>

	        <?php echo HTMLHelper::_(SR_UITAB . '.addTab', 'sr-reservation', 'stream', Text::_('SR_STREAM', true)) ?>
	        <?php echo $this->loadTemplate('stream') ?>
	        <?php echo HTMLHelper::_(SR_UITAB . '.endTab') ?>

            <?php echo HTMLHelper::_(SR_UITAB . '.endTabSet') ?>
        </div>
    </div>
    <div class="<?php echo SR_UI_GRID_CONTAINER ?>">
        <div class="<?php echo SR_UI_GRID_COL_12 ?> powered">
            <p>Powered by <a href="https://www.solidres.com" target="_blank">Solidres</a></p>
        </div>
    </div>
</div>
<form action="<?php Route::_('index.php?option=com_solidres&view=reservations'); ?>" method="post" name="adminForm"
      id="item-form" class="">
    <input type="hidden" name="task" value=""/>
    <input type="hidden" name="id" value="<?php echo $id > 0 ? $id : '' ?>"/>
	<?php echo HTMLHelper::_('form.token'); ?>
</form>
